package gp;

import ui.RealPoint;

/**
* A GP object sends this message to its observers whenever
* the genetic algorithm has evaluated the fitness of an individual.
*
* @version 1.0
* @author Hans U. Gerber (<a href="mailto:gerber@ifh.ee.ethz.ch">gerber@ifh.ee.ethz.ch</a>)
*/
public class GPMessageEvaluatingIndividual extends GPMessage {
	public int generationNr;
	public int individualNr;
	public RealPoint[] data;
	GPMessageEvaluatingIndividual(int generationNr, int individualNr, RealPoint[] data) {
		this.generationNr = generationNr;
		this.individualNr	= individualNr;
		this.data = data;
	} 
}

